Courses in a curriculum
curl --request GET \
--url https://api.learningcommons.org/knowledge-graph/v0/courses \
--header 'x-api-key: <api-key>'import requests
url = "https://api.learningcommons.org/knowledge-graph/v0/courses"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.learningcommons.org/knowledge-graph/v0/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"identifier": "im:b532b7df-4989-53a2-8f53-8dd829343423",
"name": "Geometry",
"description": "For the first several units, students practice making conjectures and observations. This begins with work on compass and straightedge constructions. Students gradually build up to writing formal proofs in narrative form engaging in a cycle of conjecture, rough draft, peer feedback, and final draft.",
"courseCode": "im360:Geo",
"academicSubject": "Mathematics",
"gradeLevel": [
"high_school",
"9",
"10",
"11",
"12"
],
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"inLanguage": "English",
"educationalUse": "instruction",
"audience": [
"Teacher",
"Student",
"Family"
],
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"dateCreated": "2020-06-25"
},
{
"identifier": "im:1459a7dd-a3cd-5540-ada3-60553e2d5987",
"name": "Integrated Math 2",
"description": "Students begin the course making observations about triangles. Building from these observations, students gather experimental information, develop conjectures, write informal justifications, and then progress to writing formal proofs using definitions, assertions, and theorems developed in Math 1.",
"courseCode": "im360:Math2",
"academicSubject": "Mathematics",
"gradeLevel": [
"high_school",
"9",
"10",
"11",
"12"
],
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"inLanguage": "English",
"educationalUse": "instruction",
"audience": [
"Teacher",
"Student",
"Family"
],
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"dateCreated": "2023-08-22"
}
],
"pagination": {
"limit": 100,
"nextCursor": "aW06MTQ1OWE3ZGQtYTNjZC01NTQwLWFkYTMtNjA1NTNlMmQ1OTg3",
"hasMore": false
}
}{
"error": "ValidationError",
"message": "Invalid query parameter value provided",
"requestId": "req_12345"
}{
"error": "ValidationError",
"message": "Input should be 'im360'",
"requestId": "req_12345"
}{
"error": "InternalServerError",
"message": "An unexpected error occurred while retrieving courses",
"requestId": "req_12345"
}Courses in a curriculum
Fetches a list of Course objects for a specific curriculum.
A Course consists of a structured sequence of instructional content and activities designed to teach specific skills, knowledge, or competencies over a defined period. It typically encompasses multiple lesson groupings, lessons, and activities and aligns with curriculum standards and intended learning objectives for a particular grade level or subject area.
Use this endpoint when you need to:
- Discover available courses within a curriculum
- Get course metadata (name, description, grade levels, subject)
- Find course identifiers needed for other curriculum endpoints
GET
/
courses
Courses in a curriculum
Currently,
im360 is the only valid value for the curriculumId parameter.Authorizations
API key for authentication
Query Parameters
Unique identifier for the resource in Knowledge Graph
Available options:
im360 Maximum number of results to return
Required range:
1 <= x <= 1000Pagination cursor obtained from the nextCursor field in a previous response (not needed for the first page)
Was this page helpful?